Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkActor2DCollection Class Reference

`#include <vtkActor2DCollection.h>`

Inheritance diagram for vtkActor2DCollection:

[legend]
Collaboration diagram for vtkActor2DCollection:

[legend]
List of all members.

## Detailed Description

Date:
  2002/12/26 18:24:21

Revision:
  1.28

vtkActor2DCollection is a subclass of vtkCollection. vtkActor2DCollection maintains a collection of vtkActor2D objects that is sorted by layer number, with lower layer numbers at the start of the list. This allows the vtkActor2D objects to be rendered in the correct order.

See also:
  vtkActor2D vtkCollection

Created by:
  - Turek, Matt

CVS contributions (if > 5%):
  - Turek, Matt (69%)
  - Martin, Ken (12%)
  - Miller, Jim (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkActor2DCollection.cxx)`
  - .`h` (`/Common/vtkActor2DCollection.h)`

Definition at line 51 of file vtkActor2DCollection.h.

## Public Types
typedef vtkPropCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | Sort ()
void | AddItem (vtkActor2D *a)
void | RenderOverlay (vtkViewport *viewport)
int | IsItemPresent (vtkActor2D *a)
vtkActor2D * | GetNextActor2D ()
vtkActor2D * | GetLastActor2D ()
vtkActor2D * | GetNextItem ()
vtkActor2D * | GetLastItem ()
## Static Public Methods
vtkActor2DCollection * | New ()
int | IsTypeOf (const char *type)
vtkActor2DCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkActor2DCollection ()
| ~vtkActor2DCollection ()
virtual void | DeleteElement (vtkCollectionElement *)

## Member Typedef Documentation

typedef vtkPropCollection vtkActor2DCollection::Superclass

| Reimplemented from vtkPropCollection. Definition at line 58 of file vtkActor2DCollection.h.

## Constructor & Destructor Documentation

vtkActor2DCollection::vtkActor2DCollection | ( |  | ) | `[inline, protected]`

| Definition at line 89 of file vtkActor2DCollection.h.

vtkActor2DCollection::~vtkActor2DCollection | ( |  | ) | `[protected]`

## Member Function Documentation

vtkActor2DCollection* vtkActor2DCollection::New | ( |  | ) | `[static]`

| Desctructor for the vtkActor2DCollection class. This removes all objects from the collection. Reimplemented from vtkPropCollection.

virtual const char* vtkActor2DCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPropCollection.

int vtkActor2DCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

virtual int vtkActor2DCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

vtkActor2DCollection* vtkActor2DCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPropCollection.

void vtkActor2DCollection::Sort | ( |  | ) |

| Sorts the vtkActor2DCollection by layer number. Smaller layer numbers are first. Layer numbers can be any integer value.

void vtkActor2DCollection::AddItem | ( | vtkActor2D * | a | ) |

| Add an actor to the list. The new actor is inserted in the list according to it's layer number.

int vtkActor2DCollection::IsItemPresent | ( | vtkActor2D * | a | ) | `[inline]`

| Standard Collection methods Definition at line 105 of file vtkActor2DCollection.h. References vtkCollection::IsItemPresent().

vtkActor2D * vtkActor2DCollection::GetNextActor2D | ( |  | ) | `[inline]`

| Standard Collection methods Definition at line 110 of file vtkActor2DCollection.h. References vtkCollection::GetNextItemAsObject(). Referenced by GetNextItem().

vtkActor2D * vtkActor2DCollection::GetLastActor2D | ( |  | ) | `[inline]`

| Standard Collection methods Definition at line 115 of file vtkActor2DCollection.h. References vtkCollection::Bottom, and vtkCollectionElement::Item. Referenced by GetLastItem().

vtkActor2D * vtkActor2DCollection::GetNextItem | ( |  | ) | `[inline]`

| Access routines that are provided for compatibility with previous version of VTK. Please use the GetNextActor2D(), GetLastActor2D() variants where possible. Definition at line 127 of file vtkActor2DCollection.h. References GetNextActor2D().

vtkActor2D * vtkActor2DCollection::GetLastItem | ( |  | ) | `[inline]`

| Access routines that are provided for compatibility with previous version of VTK. Please use the GetNextActor2D(), GetLastActor2D() variants where possible. Definition at line 132 of file vtkActor2DCollection.h. References GetLastActor2D().

void vtkActor2DCollection::RenderOverlay | ( | vtkViewport * | viewport | ) |

| Sort and then render the collection of 2D actors.

virtual void vtkActor2DCollection::DeleteElement | ( | vtkCollectionElement * |  | ) | `[protected, virtual]`

| Reimplemented from vtkCollection.

The documentation for this class was generated from the following file:

- Common/vtkActor2DCollection.h